Name:           libcyaml
Version:        1.2.0
Release:        1%{?dist}
Summary:        Schema-based YAML parsing and serialisation

License:        GPLv3
URL:            https://github.com/tlsa/libcyaml
Source0:        https://github.com/tlsa/%{name}/archive/v%{version}.tar.gz

BuildRequires:  git
BuildRequires:  gcc
BuildRequires:  pkgconfig(yaml-0.1)

%description
LibCYAML is a C library for reading and writing structured YAML documents. It is written in ISO C11.

%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: libyaml-devel
Summary: Development files for libcyaml

%description devel
LibCYAML is a C library for reading and writing structured YAML documents. It is written in ISO C11.

Provides files for building applications against LibCYAML.

%prep
%autosetup -p1 -Sgit

%build
CFLAGS='%{optflags}' %make_build VARIANT=release PREFIX=%{_prefix} LIBDIR=%{_lib}


%install
rm -rf $RPM_BUILD_ROOT
%make_install VARIANT=release PREFIX=%{_prefix} LIBDIR=%{_lib}

%files
%license LICENSE
%doc README.md
%{_libdir}/%{name}.*

%files devel
%{_includedir}/cyaml/cyaml.h
%{_libdir}/pkgconfig/libcyaml.pc


%changelog
* Tue Aug 17 2021 Olivier Samyn <code@oleastre.be> - 1.2.0-1
- New upstream release

* Thu Feb 04 2021 Olivier Samyn 🎻 <code@oleastre.be> - 1.1.0-6
- Revert yaml library name, remove patch

* Thu Feb 04 2021 Olivier Samyn 🎻 <code@oleastre.be> - 1.1.0-5
- Force dependency on libyaml-devel for the devel package

* Thu Feb 04 2021 Olivier Samyn 🎻 <code@oleastre.be> - 1.1.0-4
- Add patch to correct the spec file yaml library name

* Thu Feb 04 2021 Olivier Samyn 🎻 <code@oleastre.be> - 1.1.0-3
- Use pkgconfig to set dependencies

* Wed Sep 30 2020 Olivier Samyn 🎻 <code@oleastre.be>
- Initial fedora package
